Bug 2083968 - dhcp: fix ignoring addresses with DHCPv6 otherconf (O flag)
Summary: dhcp: fix ignoring addresses with DHCPv6 otherconf (O flag)
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: NetworkManager
Version: 9.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Matej Berezny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-11 06:49 UTC by Thomas Haller
Modified: 2022-06-28 08:02 UTC (History)
8 users (show)

Fixed In Version: NetworkManager-1.39.5-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-121669 0 None None None 2022-05-11 06:55:17 UTC
freedesktop.org Gitlab NetworkManager NetworkManager-ci merge_requests 1097 0 None opened ipv6: added @ipv6_ignore_address_lease_dhclient test 2022-06-28 08:02:46 UTC
freedesktop.org Gitlab NetworkManager NetworkManager merge_requests 1220 0 None closed [th/dhcpv6-otherconf-ignore-addr] dhcp: fix ignoring addresses with DHCPv6 otherconf (O flag) 2022-05-11 17:12:41 UTC

Description Thomas Haller 2022-05-11 06:49:58 UTC
the router advertisment has two flags: M (managed) and O (otherconf).

if those flags are set, we are supposed to do DHCPv6.
But with otherconf, we are not supposed to actually configure IPv6 addresses.

This broke with 1.36 rework.


Upstream report: https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/953#note_1377764
Upstream fix: https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/merge_requests/1220


This is reported here, to properly track it and ensure we have CI tests for this.

Comment 6 Thomas Haller 2022-06-27 13:45:09 UTC
notes for testing:


1) have a IPv6 router that announces a certain prefix. The RA has the "O flag" set, which means to do stateless DHCPv6, that is, not to get an IPv6 lease.

2) configure an NM profile with `ipv6.method=auto`. Note that NM will start DHCPv6 due to the "other config" flag.

3a) In this mode, NM should do DHCPv6, but it should not ask for any addresses. I think usually the DHCPv6 server would see that, and consequently the lease would not have any addresses. The relevant part here is that NM makes a DHCPv6 in a way that requests info-only.

3b) even if NM requests no IPv6 addresses, if the DHCPv6 happens to hand out any IPv6 addresses (which would be a bug), NM should not configure them.


Note You need to log in before you can comment on or make changes to this bug.